#### D.6.15.11 is_irred

Procedure from library `hnoether.lib` (see hnoether_lib).

Usage:
  is_irred(f); f poly

Assume:
  f is a squarefree bivariate polynomial (in the first 2 ring variables).

Return:
  int (0 or 1):
  - `is_irred(f)=1` if f is irreducible as a formal power series over the algebraic closure of its coefficient field (f defines an analytically irreducible curve at zero),
  - `is_irred(f)=0` otherwise.

Note:
  0 and units in the ring of formal power series are considered to be not irreducible.

Example:

    LIB "hnoether.lib";
    ring exring=0,(x,y),ls;
    is_irred(x2+y3);
    ==> 1
    is_irred(x2+y2);
    ==> 0
    is_irred(x2+y3+1);
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.